CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2023 开发者帮助

AddDim3PointAngular 方法 (ActiveX)

2024-5-18 18:55| 发布者: admin| 查看: 155| 评论: 0|原作者: admin|来自: AutoCAD

AddDim3PointAngular 方法 (ActiveX)

使用 3 个点创建角度尺寸。

支持的平台:仅限 Windows

签名

VBA:

RetVal = object.AddDim3PointAngular(AngleVertex, FirstEndPoint, SecondEndPoint, TextPoint)
对象

类型:模型空间纸空间

此方法应用到的对象。

角度顶点

访问:仅输入

类型:变体(双打的三元素阵列)

指定要测量角度的顶点的 3D WCS 坐标。

第一个端点

访问:仅输入

类型:变体(双打的三元素阵列)

指定第一条延长线经过的点 3D WCS 坐标。

第二个端点

访问:仅输入

类型:变体(双打的三元素阵列)

3D WCS 坐标指定第二条延长线通过的点。

文本点

访问:仅输入

类型:变体(双打的三元素阵列)

指定尺寸文本显示点的 3D WCS 坐标。

返回值 (RetVal)

类型:Dim3PointAngular

新创建的角度尺寸。

言论

没有其他评论。

例子

VBA:

Sub Example_AddDim3PointAngular()
    ' This example creates a Dim3PointAngular object in model space
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 2: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll
    
    MsgBox "A Dim3PointAngular object has been created."
    
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AddDim3PointAngular()
    ;; This example creates a Dim3PointAngular object in model space
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 2 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    (alert "A Dim3PointAngular object has been created.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-3-14 07:49

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部